Bug 849283 - [PATCH] Segfaults when trying to undelete files.
[PATCH] Segfaults when trying to undelete files.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: extundelete (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hicham HAOUARI
Fedora Extras Quality Assurance
:
: 959730 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 20:36 EDT by Eduard Kohler
Modified: 2013-07-14 21:12 EDT (History)
6 users (show)

See Also:
Fixed In Version: extundelete-0.2.4-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-14 20:53:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (575 bytes, patch)
2012-12-15 06:08 EST, Michal Hlavinka
no flags Details | Diff

  None (edit)
Description Eduard Kohler 2012-08-17 20:36:17 EDT
Description of problem:

Segfaults when trying to undelete files.


How reproducible:
Always

Steps to Reproduce:
1. extundelete --restore-all /dev/sdxx
2.
3.
  
Actual results:
Segfault.

Expected results:
Recovering files.

Additional info:
Debian hit the same problem and a solution was proposed:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=670815

This solved my problem.
Comment 1 Michal Hlavinka 2012-12-15 06:08:48 EST
Created attachment 663958 [details]
patch

patch from http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=670815
verified, working
Comment 2 T.C. Hollingsworth 2013-06-28 17:10:26 EDT
I'm starting the nonresponsive maintainer process with this package.  This *crashing* bug has been open for over a year.  Please update the package or orphan it if you are no longer interested in maintaining this package.  Thanks!
Comment 3 T.C. Hollingsworth 2013-06-28 17:11:37 EDT
That's https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers BTW.
Comment 4 Hicham HAOUARI 2013-07-02 04:47:59 EDT
Hi,

I am very sorry, I been very busy lately, you can co-maintain the package if you wish, just file a request and I will approve it :)
Comment 5 T.C. Hollingsworth 2013-07-02 12:06:36 EDT
No worries!  :-)

I requested ACLs in pkgdb, thanks!
Comment 6 Fedora End Of Life 2013-07-03 18:37:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 T.C. Hollingsworth 2013-07-06 02:48:03 EDT
*** Bug 959730 has been marked as a duplicate of this bug. ***
Comment 8 Fedora Update System 2013-07-06 02:58:16 EDT
extundelete-0.2.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/extundelete-0.2.4-1.fc19
Comment 9 Fedora Update System 2013-07-06 03:00:28 EDT
extundelete-0.2.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/extundelete-0.2.4-1.fc18
Comment 10 Fedora Update System 2013-07-06 03:01:39 EDT
extundelete-0.2.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/extundelete-0.2.4-1.fc17
Comment 11 Fedora Update System 2013-07-06 21:36:53 EDT
Package extundelete-0.2.4-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing extundelete-0.2.4-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12518/extundelete-0.2.4-1.fc18
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-07-14 20:53:47 EDT
extundelete-0.2.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-07-14 21:02:46 EDT
extundelete-0.2.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-07-14 21:12:25 EDT
extundelete-0.2.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.